<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreatePromocionVenta extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('promocion_venta', ['id' => '`promocion`,`venta`'])
			->addColumn('promocion', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('venta', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('valor', 'double', ['null' => false, 'signed' => false])
			->addForeignKey('promocion', 'promocion', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
